Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228947 - Arabic input assumes US kbd layout
Summary: Arabic input assumes US kbd layout
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: scim-bridge
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Depends On: 211266
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2007-02-16 02:17 UTC by Jens Petersen
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-08 04:58:53 UTC


Attachments (Terms of Use)

Description Jens Petersen 2007-02-16 02:17:13 UTC
+++ This bug was initially created as a clone of Bug #211266 +++

Steps to Reproduce:
0. Install scim, scim-bridge, scim-m17n-0.2.1-1.fc7 and m17n-db-arabic
1. Setup Swedish keyboard in scim-setup and restart desktop
2. Switch to Swedish keyboard: run "setxkbmap se"
3. Run "GTK_IM_MODULE=scim gedit"
4. Select the input method 'Arabic (Egypt)'
5. Try the keys to the right of 'P' and 'L' keys.
6. repeat from (3) with GTK_IM_MODULE=scim-bridge

Actual results:
It inputs 'å~öä', which are the Swedish letters for those keys.

Expected results:
It should input the arabic letters for 'k' and some others.

Additional info:
The rest of the qwerty-keys seem to work.

[abridged thread from original bug follows:]

-- Additional comment from petersen@redhat.com on 2006-10-23 23:50 EST --
Adding patch from upstream in scim-m17n-0.2.1-1.fc7.

-- Additional comment from petersen@redhat.com on 2006-10-27 02:12 EST --
Carl, are you able to test that?

-- Additional comment from carljohan@kjellander.com on 2006-10-28 07:19 EST --
I tested it a few days ago.

$ rpm -q scim-m17n
scim-m17n-0.2.1-1.fc7

I installed to rpm and logged out and in again. Setting it to arabic still
produces åäö instead of the correct arabic characters. And ^ is still a
dead key.

It should be enough to log out of X right?

Comment 1 Jens Petersen 2007-02-16 02:25:16 UTC
Should have read:

Actual results:
5. With im-scim input arabic keys for Swedish keys correctly.
6. With scim-bridge it inputs 'å~öä', the Swedish letters for those keys.

Expected results:
6. It should input the arabic letters for 'k' and some others.


Comment 2 Jens Petersen 2007-02-23 01:09:53 UTC
Dairiki-san informed that this should be fixed in scim-bridge cvs. :)

Comment 3 Jens Petersen 2007-02-23 01:16:32 UTC
Tested cvs snapshot and it looks good to me.

Comment 4 Jens Petersen 2007-02-26 01:00:46 UTC
Should be fixed in 0.4.10.

I built scim-bridge-0.4.10-1.fc6 for updates testing.

Comment 5 Jens Petersen 2007-03-08 04:58:53 UTC
scim-bridge-0.4.10-1.fc6 was pushed to final.


Note You need to log in before you can comment on or make changes to this bug.